#!/usr/bin/env python3
import numpy as np
import sys
n = int(sys.argv[1])

f = open('data.txt', 'wt')
f.write('%d\n'%(n))

a = np.random.random(size=(n, n)) * 0.6
a = np.rint(a)

np.savetxt(f, a, fmt='%d')
f.close()